Skip to main content

Support Tickets

4 API calls in this section.

List Support Tickets

Communications & Feedback / Messaging / Support Tickets
GET/messaging/support/tickets?tenant_id={{tenant_id}}&page=1&limit=20

Lists support tickets from the shared support queue. Access requires the current user to be included in customer portal support_user_ids. Each ticket row includes source (customer_portal | storefront | restaurant), related_delivery_id, related_order_id, and assigned_to_user (when assigned). Use source and order_id to filter by ticket origin / specific order. Use search to filter by subject. assignment_scope narrows to claimed/unassigned tickets. Elevated support users who are also configured support users may optionally filter by assigned_to.

Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/messaging/support/tickets?tenant_id={{tenant_id}}&page=1&limit=20" \2  --header "Authorization: Bearer {{access_token}}" \3  --header "Content-Type: application/json"

Query parameters

tenant_idOptional
query string

{{tenant_id}}

Tenant context (required if not in token)

pageOptional
query string

1

limitOptional
query string

20

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Content-TypeOptional
header string

application/json

Responses

No response example is available for this endpoint yet.

Get Support Ticket

Communications & Feedback / Messaging / Support Tickets
GET/messaging/support/tickets/:id?tenant_id={{tenant_id}}

Gets a support ticket including conversation summary and assigned_to_user details when the ticket is assigned. Access requires the current user to be included in customer portal support_user_ids.

Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/messaging/support/tickets/:id?tenant_id={{tenant_id}}" \2  --header "Authorization: Bearer {{access_token}}"

Path parameters

idRequired
path string

uuid

Support ticket ID

Query parameters

tenant_idOptional
query string

{{tenant_id}}

Tenant context (required if not in token)

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.

Assign Support Ticket To Me

Communications & Feedback / Messaging / Support Tickets
POST/messaging/support/tickets/:id/assign-to-me?tenant_id={{tenant_id}}

Claims an unassigned support ticket for the current support user and adds them to the ticket conversation as an admin participant. Access requires the current user to be included in customer portal support_user_ids.

Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request POST "$ONDI_BASE_URL/messaging/support/tickets/:id/assign-to-me?tenant_id={{tenant_id}}" \2  --header "Authorization: Bearer {{access_token}}"

Path parameters

idRequired
path string

uuid

Support ticket ID

Query parameters

tenant_idOptional
query string

{{tenant_id}}

Tenant context (required if not in token)

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.

Close Support Ticket

Communications & Feedback / Messaging / Support Tickets
POST/messaging/support/tickets/:id/close?tenant_id={{tenant_id}}

Closes the support ticket and emits a system message in the conversation.

Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request POST "$ONDI_BASE_URL/messaging/support/tickets/:id/close?tenant_id={{tenant_id}}" \2  --header "Authorization: Bearer {{access_token}}" \3  --header "Content-Type: application/json" \4  --header "Content-Type: application/json" \5  --data '{6  "metadata": {7    "note": "Issue resolved"8  }9}'
Request body
json
1{2  "metadata": {3    "note": "Issue resolved"4  }5}

Path parameters

idRequired
path string

uuid

Support ticket ID

Query parameters

tenant_idOptional
query string

{{tenant_id}}

Tenant context (required if not in token)

Request body fields

metadataExample
object

Example field from the request body.

metadata.noteExample
string

Example field from the request body.

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Content-TypeOptional
header string

application/json

Responses

No response example is available for this endpoint yet.